searchData={"content_type":"text/markdown","items":[{"doc":"A plug to intercept:\n  * GET calls for the plausible script\n  * POST calls to `/api/event`\n\nOptions:\n  * `local_path` is the local server path to serve up plausible js file from\n    * Defaults to `\"/js/plausible_script.js\"`\n  * `script_extension` is the specific script to download from plausible.\n    * See: https://plausible.io/docs/script-extensions#all-our-script-extensions\n    * Defaults to `\"script.js\"`\n  * `remote_ip_headers` is a list of headers to search for inbound remote ip\n    * First value found will populate the `X-Forwarded-For` header on requests to Plausible\n    * If none are found in request, `PlausibleProxy` will use `conn.remote_ip`\n    * Defaults to `[\"fly-client-ip\", \"x-real-ip\"]`\n  * `event_callback_fn` is an optional callback function to call when an event fires\n    * Defaults to return empty map\n\n\nEvent Callback Function:\n  * 3 arity function that receives `conn`, `payload`, and `remote_ip`\n  * Returns `{:ok, payload_modifiers}` where `payload_modifiers` is a Map of key/value pairs to modify the event payload sent to Plausible\n\nSupported payload_modifiers:\n  * `props` is a map of values to pass in the \"props\" value of the event payload body sent to Plausible\n    * e.g. `%{props: %{\"company\" => \"DockYard\"}}`","ref":"PlausibleProxy.Plug.html","title":"PlausibleProxy.Plug","type":"module"},{"doc":"defmodule MyApp.Endpoint do\n      ...\n\n      plug PlausibleProxy.Plug,\n        event_callback_fn: fn _, _, _ -> {:ok, %{props: %{\"site\" => \"mysite.com\"}}},\n        remote_ip_headers: [\"x-myhosting-remote-ip\"],\n        script_extension: \"script.pageview-props.js\"\n\n      ...\n    end","ref":"PlausibleProxy.Plug.html#module-example","title":"Example - PlausibleProxy.Plug","type":"module"},{"doc":"# PlausibleProxy\n\n1.  Add plausible_proxy to your mix dependencies\n\n```elixir\ndef deps do\n  [\n    {:plausible_proxy, \"~> 0.1.1\"}\n  ]\nend\n```\n\n2.  Add PlausibleProxy.Plug to your Endpoint before your router:\n\n```elixir\ndefmodule MyAppWeb.Endpoint do\n  ...\n  plug PlausibleProxy.Plug\n  ...\n  plug MyAppWeb.Router\nend\n```\n\n3.  Add a script tag to your site referencing the local path:\n\n```html\n  \n```\n\nSee [PlausibleProxy.Plug](https://hexdocs.pm/plausible_proxy/PlausibleProxy.Plug.html) for optional configuration.","ref":"readme.html","title":"PlausibleProxy","type":"extras"}]}